Skip to main content
`Ctrl`+`K`

# DMPlexMetricIntersection

Compute the intersection of a list of metrics

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricIntersection(DM dm, PetscInt numMetrics, Vec metrics[], Vec metricInt)

## Input Parameters

- dm - The `DM`

- numMetrics - The number of metrics to be intersected

- metrics - The metrics to be intersected

## Output Parameter

- metricInt - The intersected metric

## Notes

The intersection of a list of metrics has the minimal ellipsoid which fits within the ellipsoids of the component metrics.

The implementation used here is only consistent with the minimal ellipsoid definition in the case numMetrics = 2.

## See Also

`DMPLEX`, `DMPlexMetricIntersection2()`, `DMPlexMetricIntersection3()`, `DMPlexMetricAverage()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages